textures/ut4_drsarena/drs_sky
{
	qer_editorimage env/ut4_drsarena/stormydays_lf.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 80 3
	surfaceparm sky
	q3map_sunEXT 1.0 0.82 0.733 120 90 0 1 16
	q3map_backSplash 0 512
	skyparms env/ut4_drsarena/stormydays 512 -
}

// ---=== No Damage Materials ===---


textures/ut4_drsarena/drs_glass_noslip
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_drsarena/tinfx.tga
		tcgen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_drsarena/drs_floor_metal1
{
	qer_editorimage textures/ut4_drsarena/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_drsarena/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_drsarena/drs_floor_metal2
{
	qer_editorimage textures/ut4_drsarena/pr_metal060.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
        {
                map textures/ut4_drsarena/glass3.tga      
                tcGen environment
                rgbGen identity
	}
	{	
		map textures/ut4_drsarena/pr_metal060.jpg
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
        }
}

textures/ut4_drsarena/pr_metal052:q3map
{
	surfaceparm nodamage
}

textures/ut4_drsarena/drs_marble1
{
	qer_editorimage textures/ut4_drsarena/pr_marble18v1.tga
	surfaceparm nodamage
	{	
		map textures/ut4_drsarena/pr_marble18v1.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_drsarena/drs_marble3
{
	qer_editorimage textures/ut4_drsarena/pr_marble26.tga
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_drsarena/pr_marble26.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

// ---===  Slick ===---

// slick glass, no damage

textures/ut4_drsarena/drs_glass_slip
{
	qer_editorimage textures/kittywumpus/plainglass.tga
	qer_trans 0.5
	surfaceparm slick
	surfaceparm nodamage
//	q3map_bounce .1
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/ut4_drsarena/kw_glass1.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_drsarena/drs_glass2_slip
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.5
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_drsarena/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_drsarena/pr_concrete004:q3map
{
	surfaceparm nodamage
	surfaceparm slick
        
}

textures/ut4_drsarena/drs_slk-mrbl1
{
	qer_editorimage textures/ut4_drsarena/pr_marble18v1.tga
//	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
//	surfaceparm lightfilter
	surfaceparm trans
	{	
		map textures/ut4_drsarena/pr_marble18v1.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_drsarena/pr_marble22:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_drsarena/pr_marble18x:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_drsarena/pr_marble26b:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_drsarena/pr_marble26b:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_drsarena/drs_slk-mrbl3
{
	qer_editorimage textures/ut4_drsarena/pr_marble26.tga
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	{	
		map textures/ut4_drsarena/pr_marble26.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_drsarena/pr_metal060:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_drsarena/drs_slk-mtl2
{
	qer_editorimage textures/ut4_drsarena/pr_metal061.jpg
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	{	
		map textures/ut4_drsarena/pr_metal061.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_drsarena/drs_slk-wood1
{
	qer_editorimage textures/ut4_drsarena/pr_wood004.tga
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
//	surfaceparm lightfilter

        {
                map textures/ut4_drsarena/glass3.tga      
                tcGen environment
                rgbGen identity
	}
	{	
		map textures/ut4_drsarena/pr_wood004.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
        }
}

textures/ut4_drsarena/drs_slk-wood2
{
	qer_editorimage textures/ut4_drsarena/pr_wood002.tga
	q3map_lightmapBrightness 2.0
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	portal

	{
		map textures/ut4_drsarena/glass3.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_drsarena/pr_wood002.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbGen identityLighting
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		depthWrite
		alphaGen portal 80
	}
}

textures/ut4_drsarena/pr_wood002:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_drsarena/pr_wood004:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_drsarena/pr_wood089:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

// ---=== Non-SOlids ===---

textures/ut4_drsarena/drs_glass_pass
{
	qer_editorimage textures/ut4_drsarena/shiny3.tga
	qer_trans 0.2
	surfaceparm lightfilter
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_drsarena/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}


textures/ut4_drsarena/drs_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_drsarena/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_drsarena/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_drsarena/drs_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_drsarena/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_drsarena/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_drsarena/drs_slk-ns-cmnt1
{
	qer_editorimage textures/ut4_drsarena/pr_concrete004.jpg
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{	
		map textures/ut4_drsarena/pr_concrete004.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_drsarena/drs_slk-ns-mrbl1
{
	qer_editorimage textures/ut4_drsarena/pr_marble22.tga
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{	
		map textures/ut4_drsarena/pr_marble22.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_drsarena/drs_slk-ns-mrbl2b
{
	qer_editorimage textures/ut4_drsarena/pr_marble26b.tga
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{	
		map textures/ut4_drsarena/pr_marble26b.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_drsarena/drs_slk-ns-mrbl2r
{
	qer_editorimage textures/ut4_drsarena/pr_marble26r.tga
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{	
		map textures/ut4_drsarena/pr_marble26r.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}


textures/ut4_drsarena/drs_slk-ns-wood1
{
	qer_editorimage textures/ut4_drsarena/pr_wood004.tga
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{	
		map textures/ut4_drsarena/pr_wood004.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}


textures/ut4_drsarena/drs_slk-ns-wood2
{
	qer_editorimage textures/ut4_drsarena/pr_wood002.tga
	qer_trans 0.8
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm lightfilter
	surfaceparm trans
	surfaceparm nonsolid
	{	
		map textures/ut4_drsarena/pr_wood002.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

// ---=== Ladder ===---

textures/ut4_drsarena/drs_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}


// ---=== Lighted Textures ===---

// ---=== Lighted Liquid Flag Pipes ===---

textures/ut4_drsarena/drs_liqred
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_drsarena/ooze_red.tga
	q3map_surfacelight 100

	{
		map textures/ut4_drsarena/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.03
		alphafunc ge128
	}
	{
		map textures/ut4_drsarena/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.16
		alphafunc ge128
	}
	{
		map textures/ut4_drsarena/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.25
		alphafunc ge128
	}
	{
		map textures/ut4_drsarena/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_drsarena/drs_liqblue
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_drsarena/ooze_blue.tga
	q3map_surfacelight 100

	{
		map textures/ut4_drsarena/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.03
		alphafunc ge128
	}
	{
		map textures/ut4_drsarena/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.16
		alphafunc ge128
	}
	{
		map textures/ut4_drsarena/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.25
		alphafunc ge128
	}
	{
		map textures/ut4_drsarena/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== Lasers ===---

textures/ut4_drsarena/drs_las_green1
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 300
	qer_editorimage textures/ut4_drsarena/laser_green1.jpg
	{
		animmap 12 textures/ut4_drsarena/laser_green1.jpg textures/ut4_drsarena/laser_green3.jpg textures/ut4_drsarena/laser_green1.jpg textures/ut4_drsarena/laser_green2.jpg textures/ut4_drsarena/laser_green4.jpg textures/ut4_drsarena/laser_green2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_drsarena/drs_las_redpass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 300
	qer_editorimage textures/ut4_drsarena/laser_red1.jpg
	{
		animmap 12 textures/ut4_drsarena/laser_red1.jpg textures/ut4_drsarena/laser_red3.jpg textures/ut4_drsarena/laser_red1.jpg textures/ut4_drsarena/laser_red2.jpg textures/ut4_drsarena/laser_red4.jpg textures/ut4_drsarena/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Fog ===---

textures/ut4_drsarena/drs_fogcaulk
{
	qer_trans 0.45
	q3map_noclip
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap

   
}

textures/ut4_drsarena/drs_fog

{
	qer_editorimage textures/kittywumpus/clouds1.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.5 0.5 0.5 ) 80

}

// ---=== Decals ===---

textures/ut4_drsarena/drs_dspanks
{
	qer_editorimage textures/ut4_drsarena/decal_spankthemonkey.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
        map textures/ut4_drsarena/decal_spankthemonkey.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_drsarena/drs_dfsk1
{
	qer_editorimage textures/ut4_drsarena/decal_fsk405a.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
        map textures/ut4_drsarena/decal_fsk405a.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_drsarena/drs_dfsk2
{
	qer_editorimage textures/ut4_drsarena/decal_fsk405b.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
        map textures/ut4_drsarena/decal_fsk405b.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_drsarena/drs_kerm1
{
	qer_editorimage textures/ut4_drsarena/decal_kermit.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
        map textures/ut4_drsarena/decal_kermit.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}


textures/ut4_drsarena/drs_frog3
{
	qer_editorimage textures/ut4_drsarena/decal_frog.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
        map textures/ut4_drsarena/decal_frog.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_drsarena/drs_leaf1
{
	qer_editorimage textures/ut4_drsarena/decal_420a.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
        map textures/ut4_drsarena/decal_420a.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}